# Uses of Class
jdk.dynalink.CallSiteDescriptor

Packages that use CallSiteDescriptor
Package
Description
jdk.dynalink
Contains interfaces and classes that are used to link an `invokedynamic` call site.
jdk.dynalink.linker
Contains interfaces and classes needed by language runtimes to implement their own language-specific object models and type conversions.
jdk.dynalink.linker.support
Contains classes that make it more convenient for language runtimes to implement their own language-specific object models and type conversions by providing basic implementations of some classes as well as various utilities.
jdk.dynalink.support
Contains classes that make using Dynalink more convenient by providing basic implementations of some classes as well as various utilities.

- ## Uses of CallSiteDescriptor in jdk.dynalink

  Methods in jdk.dynalink that return CallSiteDescriptor
  Modifier and Type
  Method
  Description
  `final CallSiteDescriptor`
  CallSiteDescriptor.`changeMethodType(MethodType newMethodType)`
  Finds or creates a call site descriptor that only differs in its method type from this descriptor.
  `protected CallSiteDescriptor`
  CallSiteDescriptor.`changeMethodTypeInternal(MethodType newMethodType)`
  Finds or creates a call site descriptor that only differs in its method type from this descriptor.
  `final CallSiteDescriptor`
  CallSiteDescriptor.`changeOperation(Operation newOperation)`
  Finds or creates a call site descriptor that only differs in its operation from this descriptor.
  `protected CallSiteDescriptor`
  CallSiteDescriptor.`changeOperationInternal(Operation newOperation)`
  Finds or creates a call site descriptor that only differs in its operation from this descriptor.
  `CallSiteDescriptor`
  RelinkableCallSite.`getDescriptor()`
  Returns the descriptor for this call site.

- ## Uses of CallSiteDescriptor in jdk.dynalink.linker

  Methods in jdk.dynalink.linker that return CallSiteDescriptor
  Modifier and Type
  Method
  Description
  `CallSiteDescriptor`
  LinkRequest.`getCallSiteDescriptor()`
  Returns the call site descriptor for the call site being linked.
  Methods in jdk.dynalink.linker with parameters of type CallSiteDescriptor
  Modifier and Type
  Method
  Description
  `GuardedInvocation`
  GuardedInvocation.`asType(CallSiteDescriptor desc)`
  Changes the type of the invocation, as if `MethodHandle.asType(MethodType)` was applied to its invocation and its guard, if it has one (with return type changed to boolean for guard).
  `LinkRequest`
  LinkRequest.`replaceArguments(CallSiteDescriptor callSiteDescriptor, Object... arguments)`
  Returns a request identical to this one with call site descriptor and arguments replaced with the ones specified.

- ## Uses of CallSiteDescriptor in jdk.dynalink.linker.support

  Methods in jdk.dynalink.linker.support that return CallSiteDescriptor
  Modifier and Type
  Method
  Description
  `CallSiteDescriptor`
  SimpleLinkRequest.`getCallSiteDescriptor()`
  Methods in jdk.dynalink.linker.support with parameters of type CallSiteDescriptor
  Modifier and Type
  Method
  Description
  `LinkRequest`
  SimpleLinkRequest.`replaceArguments(CallSiteDescriptor newCallSiteDescriptor, Object... newArguments)`
  Constructors in jdk.dynalink.linker.support with parameters of type CallSiteDescriptor
  Modifier
  Constructor
  Description
  ``
  `SimpleLinkRequest(CallSiteDescriptor callSiteDescriptor, boolean callSiteUnstable, Object... arguments)`
  Creates a new link request.

- ## Uses of CallSiteDescriptor in jdk.dynalink.support

  Methods in jdk.dynalink.support that return CallSiteDescriptor
  Modifier and Type
  Method
  Description
  `CallSiteDescriptor`
  AbstractRelinkableCallSite.`getDescriptor()`
  Constructors in jdk.dynalink.support with parameters of type CallSiteDescriptor
  Modifier
  Constructor
  Description
  `protected`
  `AbstractRelinkableCallSite(CallSiteDescriptor descriptor)`
  Creates a new abstract relinkable call site.
  ``
  `ChainedCallSite(CallSiteDescriptor descriptor)`
  Creates a new chained call site.
  ``
  `SimpleRelinkableCallSite(CallSiteDescriptor descriptor)`
  Creates a new call site with monomorphic inline caching strategy.